
#include "AZP.h"

// Constants
const BOOL Tru_e = true; // global Variable
const BOOL Fals_e = false; // global Variable

AZP::AZP(){
Data.Et2_aufw = false;
Data.Et2_abw = false;
Data.Et3_abw = false;
Data.Kab_Nach1 = false;
Data.Kab_Nach2 = false;
Data.Kab_Nach3 = false;
Data.Kab_aufw_fahren = false;
Data.Kab_abw_fahren = false;
Data.Kab_faehrtAufw = false;
Data.Kab_faehrtAbw = false;
Data.eineTuer_offen = false;
Data.Tueren_geschl = false;
Data.KabNachOben = false;
Data.KabNachUnten = false;
Data.TuerOeffnen = false;
Data.TuerSchliessen = false;
Data.Et1_aufw = false;
Data.KabiNach_1_abw = false;
Data.KabiNach_2_abw = false;
Data.KabiNach_2_auf = false;
Data.KabiNach_3_auf = false;
ioplc.Data.I.X[3].Bit3 = false;
ioplc.Data.I.X[1].Bit1 = false;
ioplc.Data.I.X[3].Bit2 = false;
ioplc.Data.I.X[1].Bit3 = false;
ioplc.Data.I.X[3].Bit1 = false;
ioplc.Data.I.X[3].Bit0 = false;
ioplc.Data.I.X[1].Bit5 = false;
ioplc.Data.I.X[3].Bit6 = false;
ioplc.Data.I.X[3].Bit5 = false;
ioplc.Data.I.X[3].Bit4 = false;
ioplc.Data.I.X[0].Bit0 = false;
ioplc.Data.I.X[0].Bit6 = false;
ioplc.Data.I.X[0].Bit7 = false;
ioplc.Data.I.X[0].Bit2 = false;
ioplc.Data.I.X[0].Bit3 = false;
ioplc.Data.I.X[2].Bit7 = false;
ioplc.Data.I.X[2].Bit6 = false;
ioplc.Data.I.X[2].Bit5 = false;
ioplc.Data.I.X[2].Bit4 = false;
ioplc.Data.I.X[2].Bit3 = false;
ioplc.Data.I.X[2].Bit2 = false;
ioplc.Data.I.X[0].Bit4 = false;
ioplc.Data.I.X[0].Bit5 = false;
ioplc.Data.I.X[1].Bit2 = false;
ioplc.Data.I.X[1].Bit4 = false;
ioplc.Data.I.X[1].Bit6 = false;
ioplc.Data.I.X[1].Bit0 = false;
ioplc.Data.I.X[1].Bit7 = false;
ioplc.Data.I.X[0].Bit1 = false;
ioplc.Data.Q.X[5].Bit5 = false;
ioplc.Data.Q.X[5].Bit6 = false;
ioplc.Data.Q.X[5].Bit7 = false;
ioplc.Data.Q.X[6].Bit7 = false;
ioplc.Data.Q.X[5].Bit2 = false;
ioplc.Data.Q.X[5].Bit3 = false;
ioplc.Data.Q.X[5].Bit4 = false;
ioplc.Data.Q.X[7].Bit0 = false;
ioplc.Data.Q.X[7].Bit1 = false;
ioplc.Data.Q.X[4].Bit5 = false;
ioplc.Data.Q.X[4].Bit4 = false;
ioplc.Data.Q.X[4].Bit7 = false;
ioplc.Data.Q.X[4].Bit6 = false;
ioplc.Data.Q.X[5].Bit1 = false;
ioplc.Data.Q.X[5].Bit0 = false;
ioplc.Data.Q.X[4].Bit2 = false;
ioplc.Data.Q.X[4].Bit3 = false;
ioplc.Data.Q.X[4].Bit0 = false;
ioplc.Data.Q.X[4].Bit1 = false;
ioplc.Data.Q.X[6].Bit6 = false;
ioplc.Data.Q.X[6].Bit5 = false;
ioplc.Data.Q.X[6].Bit4 = false;
ioplc.Data.Q.X[6].Bit3 = false;
ioplc.Data.Q.X[6].Bit2 = false;
ioplc.Data.Q.X[6].Bit0 = false;
ioplc.Data.Q.X[7].Bit2 = false;
ioplc.Data.Q.X[6].Bit1 = false;
Init();
};

AZP::~AZP(){
};

void AZP::Init(){
Data.Etage_1_aufw_01.Init();
Data.Etage_2_aufw_02.Init();
Data.Etage_2_abw_03.Init();
Data.Etage_3_abw_04.Init();
Data.Kab_Nach_1_05.Init();
Data.Kab_Nach_2_06.Init();
Data.Kab_Nach_3_07.Init();
Data.Anf_Koord_3Et_08.Init();
Data.Fahrtrichtung_09.Init();
Data.KabMot_TuerStgn_10.Init();
Data.TuerenPos_11.Init();
Data.Tuerstrg_1_12.Init();
Data.Tuerstrg_2_13.Init();
Data.Tuerstrg_3_14.Init();
Data.KabHubMot_15.Init();
Data.EtagenAnz_16.Init();
};

void AZP::Run(){


Data.Etage_1_aufw_01.Data.RufEtage = ioplc.Data.I.X[3].Bit3;
Data.Etage_1_aufw_01.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit1;
Data.Etage_1_aufw_01.Data.FahrtGegenrichtung = Fals_e;

Data.Etage_1_aufw_01.Run();

ioplc.Data.Q.X[5].Bit5 = Data.Etage_1_aufw_01.Data.Sign_Lamp_ein;
Data.Et1_aufw = Data.Etage_1_aufw_01.Data.AnfVon_InRichtg;

Data.Etage_2_aufw_02.Data.RufEtage = ioplc.Data.I.X[3].Bit2;
Data.Etage_2_aufw_02.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit3;
Data.Etage_2_aufw_02.Data.FahrtGegenrichtung = Data.Kab_abw_fahren;

Data.Etage_2_aufw_02.Run();

ioplc.Data.Q.X[5].Bit6 = Data.Etage_2_aufw_02.Data.Sign_Lamp_ein;
Data.Et2_aufw = Data.Etage_2_aufw_02.Data.AnfVon_InRichtg;

Data.Etage_2_abw_03.Data.RufEtage = ioplc.Data.I.X[3].Bit1;
Data.Etage_2_abw_03.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit3;
Data.Etage_2_abw_03.Data.FahrtGegenrichtung = Data.Kab_aufw_fahren;

Data.Etage_2_abw_03.Run();

ioplc.Data.Q.X[5].Bit7 = Data.Etage_2_abw_03.Data.Sign_Lamp_ein;
Data.Et2_abw = Data.Etage_2_abw_03.Data.AnfVon_InRichtg;

Data.Etage_3_abw_04.Data.RufEtage = ioplc.Data.I.X[3].Bit0;
Data.Etage_3_abw_04.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit5;
Data.Etage_3_abw_04.Data.FahrtGegenrichtung = Fals_e;

Data.Etage_3_abw_04.Run();

ioplc.Data.Q.X[6].Bit7 = Data.Etage_3_abw_04.Data.Sign_Lamp_ein;
Data.Et3_abw = Data.Etage_3_abw_04.Data.AnfVon_InRichtg;

Data.Kab_Nach_1_05.Data.RufEtage = ioplc.Data.I.X[3].Bit6;
Data.Kab_Nach_1_05.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit1;
Data.Kab_Nach_1_05.Data.FahrtGegenrichtung = Fals_e;

Data.Kab_Nach_1_05.Run();

ioplc.Data.Q.X[5].Bit2 = Data.Kab_Nach_1_05.Data.Sign_Lamp_ein;
Data.Kab_Nach1 = Data.Kab_Nach_1_05.Data.AnfVon_InRichtg;

Data.Kab_Nach_2_06.Data.RufEtage = ioplc.Data.I.X[3].Bit5;
Data.Kab_Nach_2_06.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit3;
Data.Kab_Nach_2_06.Data.FahrtGegenrichtung = Fals_e;

Data.Kab_Nach_2_06.Run();

ioplc.Data.Q.X[5].Bit3 = Data.Kab_Nach_2_06.Data.Sign_Lamp_ein;
Data.Kab_Nach2 = Data.Kab_Nach_2_06.Data.AnfVon_InRichtg;

Data.Kab_Nach_3_07.Data.RufEtage = ioplc.Data.I.X[3].Bit4;
Data.Kab_Nach_3_07.Data.KabAnSollPos = ioplc.Data.I.X[1].Bit5;
Data.Kab_Nach_3_07.Data.FahrtGegenrichtung = Fals_e;

Data.Kab_Nach_3_07.Run();

ioplc.Data.Q.X[5].Bit4 = Data.Kab_Nach_3_07.Data.Sign_Lamp_ein;
Data.Kab_Nach3 = Data.Kab_Nach_3_07.Data.AnfVon_InRichtg;

Data.Anf_Koord_3Et_08.Data.Kab_In_1 = ioplc.Data.I.X[1].Bit1;
Data.Anf_Koord_3Et_08.Data.Kab_Nach3 = Data.Kab_Nach3;
Data.Anf_Koord_3Et_08.Data.Anf_Et3_abw = Data.Et3_abw;
Data.Anf_Koord_3Et_08.Data.Anf_Et2_aufw = Data.Et2_aufw;
Data.Anf_Koord_3Et_08.Data.Kab_Nach2 = Data.Kab_Nach2;
Data.Anf_Koord_3Et_08.Data.Anf_Et2_abw = Data.Et2_abw;
Data.Anf_Koord_3Et_08.Data.Kab_In_2 = ioplc.Data.I.X[1].Bit3;
Data.Anf_Koord_3Et_08.Data.Kab_In_3 = ioplc.Data.I.X[1].Bit5;
Data.Anf_Koord_3Et_08.Data.Anf_Et1_aufw = Data.Et1_aufw;
Data.Anf_Koord_3Et_08.Data.Kab_Nach1 = Data.Kab_Nach1;
Data.Anf_Koord_3Et_08.Data.NOTHALT_Oeffner = ioplc.Data.I.X[0].Bit0;

Data.Anf_Koord_3Et_08.Run();

Data.Kab_aufw_fahren = Data.Anf_Koord_3Et_08.Data.Kab_aufw_fahren;
Data.Kab_abw_fahren = Data.Anf_Koord_3Et_08.Data.Kab_abw_fahren;
ioplc.Data.Q.X[7].Bit2 = Data.Anf_Koord_3Et_08.Data.Meldg_Stop_Fehler;
Data.KabiNach_1_abw = Data.Anf_Koord_3Et_08.Data.KabiNach_1_abw;
Data.KabiNach_2_auf = Data.Anf_Koord_3Et_08.Data.KabiNach_2_auf;
Data.KabiNach_2_abw = Data.Anf_Koord_3Et_08.Data.KabiNach_2_abw;
Data.KabiNach_3_auf = Data.Anf_Koord_3Et_08.Data.KabiNach_3_auf;

Data.Fahrtrichtung_09.Data.SignA = ioplc.Data.I.X[0].Bit6;
Data.Fahrtrichtung_09.Data.SignB = ioplc.Data.I.X[0].Bit7;

Data.Fahrtrichtung_09.Run();

Data.Kab_faehrtAufw = Data.Fahrtrichtung_09.Data.mul;
Data.Kab_faehrtAbw = Data.Fahrtrichtung_09.Data.edul;

Data.KabMot_TuerStgn_10.Data.Lift_AUFW_ein = Data.Kab_aufw_fahren;
Data.KabMot_TuerStgn_10.Data.Lift_ABW_ein = Data.Kab_abw_fahren;
Data.KabMot_TuerStgn_10.Data.Tuer_istauf = Data.eineTuer_offen;
Data.KabMot_TuerStgn_10.Data.Tueren_sindzu = Data.Tueren_geschl;
Data.KabMot_TuerStgn_10.Data.Nothalt_OEFFNER = ioplc.Data.I.X[0].Bit0;
Data.KabMot_TuerStgn_10.Data.KabFahrt_aufw = Tru_e;
Data.KabMot_TuerStgn_10.Data.KabFahrt_abw = Tru_e;
Data.KabMot_TuerStgn_10.Data.Heb_Hand = ioplc.Data.I.X[0].Bit2;
Data.KabMot_TuerStgn_10.Data.Senk_Hand = ioplc.Data.I.X[0].Bit3;
Data.KabMot_TuerStgn_10.Data.Autom = ioplc.Data.I.X[0].Bit1;

Data.KabMot_TuerStgn_10.Run();

Data.KabNachOben = Data.KabMot_TuerStgn_10.Data.KabNachOben;
Data.KabNachUnten = Data.KabMot_TuerStgn_10.Data.KabNachUnten;
Data.TuerOeffnen = Data.KabMot_TuerStgn_10.Data.TuerOeffnen;
Data.TuerSchliessen = Data.KabMot_TuerStgn_10.Data.TuerSchliessen;
ioplc.Data.Q.X[7].Bit0 = Data.KabMot_TuerStgn_10.Data.KabNICHTaufw;
ioplc.Data.Q.X[7].Bit1 = Data.KabMot_TuerStgn_10.Data.KabNICHTabw;

Data.TuerenPos_11.Data.Tuer_1_geschl = ioplc.Data.I.X[2].Bit6;
Data.TuerenPos_11.Data.Tuer_2_geschl = ioplc.Data.I.X[2].Bit4;
Data.TuerenPos_11.Data.Tuer_3_geschl = ioplc.Data.I.X[2].Bit2;
Data.TuerenPos_11.Data.Tuer_1_geoeffn = ioplc.Data.I.X[2].Bit7;
Data.TuerenPos_11.Data.Tuer_2_geoeffn = ioplc.Data.I.X[2].Bit5;
Data.TuerenPos_11.Data.Tuer_3_geoeffn = ioplc.Data.I.X[2].Bit3;

Data.TuerenPos_11.Run();

Data.Tueren_geschl = Data.TuerenPos_11.Data.Tueren_Geschl;
Data.eineTuer_offen = Data.TuerenPos_11.Data.eineTuer_offen;

Data.Tuerstrg_1_12.Data.ZielErr = ioplc.Data.I.X[1].Bit1;
Data.Tuerstrg_1_12.Data.SollTuerOeff = Data.TuerOeffnen;
Data.Tuerstrg_1_12.Data.SollTuerSchl = Data.TuerSchliessen;
Data.Tuerstrg_1_12.Data.TuerGeoeffn = ioplc.Data.I.X[2].Bit7;
Data.Tuerstrg_1_12.Data.TuerGeschl = ioplc.Data.I.X[2].Bit6;
Data.Tuerstrg_1_12.Data.Automat = ioplc.Data.I.X[0].Bit1;
Data.Tuerstrg_1_12.Data.TuerOeffVHd = ioplc.Data.I.X[0].Bit4;
Data.Tuerstrg_1_12.Data.TuerSchlVHd = ioplc.Data.I.X[0].Bit5;

Data.Tuerstrg_1_12.Run();

ioplc.Data.Q.X[4].Bit4 = Data.Tuerstrg_1_12.Data.TuerOeff_EIN;
ioplc.Data.Q.X[4].Bit5 = Data.Tuerstrg_1_12.Data.TuerSchli_EIN;

Data.Tuerstrg_2_13.Data.ZielErr = ioplc.Data.I.X[1].Bit3;
Data.Tuerstrg_2_13.Data.SollTuerOeff = Data.TuerOeffnen;
Data.Tuerstrg_2_13.Data.SollTuerSchl = Data.TuerSchliessen;
Data.Tuerstrg_2_13.Data.TuerGeoeffn = ioplc.Data.I.X[2].Bit5;
Data.Tuerstrg_2_13.Data.TuerGeschl = ioplc.Data.I.X[2].Bit4;
Data.Tuerstrg_2_13.Data.Automat = ioplc.Data.I.X[0].Bit1;
Data.Tuerstrg_2_13.Data.TuerOeffVHd = ioplc.Data.I.X[0].Bit4;
Data.Tuerstrg_2_13.Data.TuerSchlVHd = ioplc.Data.I.X[0].Bit5;

Data.Tuerstrg_2_13.Run();

ioplc.Data.Q.X[4].Bit6 = Data.Tuerstrg_2_13.Data.TuerOeff_EIN;
ioplc.Data.Q.X[4].Bit7 = Data.Tuerstrg_2_13.Data.TuerSchli_EIN;

Data.Tuerstrg_3_14.Data.ZielErr = ioplc.Data.I.X[1].Bit5;
Data.Tuerstrg_3_14.Data.SollTuerOeff = Data.TuerOeffnen;
Data.Tuerstrg_3_14.Data.SollTuerSchl = Data.TuerSchliessen;
Data.Tuerstrg_3_14.Data.TuerGeoeffn = ioplc.Data.I.X[2].Bit3;
Data.Tuerstrg_3_14.Data.TuerGeschl = ioplc.Data.I.X[2].Bit2;
Data.Tuerstrg_3_14.Data.Automat = ioplc.Data.I.X[0].Bit1;
Data.Tuerstrg_3_14.Data.TuerOeffVHd = ioplc.Data.I.X[0].Bit4;
Data.Tuerstrg_3_14.Data.TuerSchlVHd = Data.TuerSchliessen;

Data.Tuerstrg_3_14.Run();

ioplc.Data.Q.X[5].Bit0 = Data.Tuerstrg_3_14.Data.TuerOeff_EIN;
ioplc.Data.Q.X[5].Bit1 = Data.Tuerstrg_3_14.Data.TuerSchli_EIN;

Data.KabHubMot_15.Data.KabMotNachOben = Data.KabNachOben;
Data.KabHubMot_15.Data.KabMotNachUnten = Data.KabNachUnten;
Data.KabHubMot_15.Data.Et1langs = ioplc.Data.I.X[1].Bit2;
Data.KabHubMot_15.Data.Et2langs = ioplc.Data.I.X[1].Bit4;
Data.KabHubMot_15.Data.Et3langs = ioplc.Data.I.X[1].Bit6;
Data.KabHubMot_15.Data.Autom = ioplc.Data.I.X[0].Bit1;
Data.KabHubMot_15.Data.SenkHand = ioplc.Data.I.X[0].Bit3;
Data.KabHubMot_15.Data.HebHand = ioplc.Data.I.X[0].Bit2;
Data.KabHubMot_15.Data.KabNichtZuTief = ioplc.Data.I.X[1].Bit0;
Data.KabHubMot_15.Data.KabNichtZuHoch = ioplc.Data.I.X[1].Bit7;
Data.KabHubMot_15.Data.KabiNach_1_abw = Data.KabiNach_1_abw;
Data.KabHubMot_15.Data.KabiNach_2_abw = Data.KabiNach_2_abw;
Data.KabHubMot_15.Data.KabiNach_2_auf = Data.KabiNach_2_auf;
Data.KabHubMot_15.Data.KabiNach_3_auf = Data.KabiNach_3_auf;

Data.KabHubMot_15.Run();

ioplc.Data.Q.X[4].Bit2 = Data.KabHubMot_15.Data.KabMotAUFW;
ioplc.Data.Q.X[4].Bit0 = Data.KabHubMot_15.Data.KabMotLangsAUFW;
ioplc.Data.Q.X[4].Bit3 = Data.KabHubMot_15.Data.KabMotABW;
ioplc.Data.Q.X[4].Bit1 = Data.KabHubMot_15.Data.KabMotLangsABW;

Data.EtagenAnz_16.Data.Kab_In1 = ioplc.Data.I.X[1].Bit1;
Data.EtagenAnz_16.Data.Kab_In2 = ioplc.Data.I.X[1].Bit3;
Data.EtagenAnz_16.Data.Kab_In3 = ioplc.Data.I.X[1].Bit5;

Data.EtagenAnz_16.Run();

ioplc.Data.Q.X[6].Bit6 = Data.EtagenAnz_16.Data.SegA;
ioplc.Data.Q.X[6].Bit5 = Data.EtagenAnz_16.Data.SegB;
ioplc.Data.Q.X[6].Bit4 = Data.EtagenAnz_16.Data.SegC;
ioplc.Data.Q.X[6].Bit3 = Data.EtagenAnz_16.Data.SegD;
ioplc.Data.Q.X[6].Bit0 = Data.EtagenAnz_16.Data.SegG;
ioplc.Data.Q.X[6].Bit2 = Data.EtagenAnz_16.Data.SegE;

}


