
#ifndef Ausf_Anford_H
#define Ausf_Anford_H

#include "FahrtRichtung.h" //Fahrtrichtung_09
#include "AntriebKab_TuerKoord.h" //KabMot_TuerStgn_10
#include "Tuer_Position.h" //TuerenPos_11
#include "Tuerstrg.h" //Tuerstrg_1_12
#include "Tuerstrg.h" //Tuerstrg_2_13
#include "Tuerstrg.h" //Tuerstrg_3_14
#include "HubMot.h" //KabHubMot_15
#include "iec1131/iec1131_std_types.h"
#include "iec1131/iec1131_std_fb.h"
#include "ioplc/ioplc.h"


struct Ausf_AnfordData {
// Local
BOOL Kab_FahrtAufw:1; // Kabine fhrt aufwrts
BOOL Kab_FahrtAbw:1; // Kabine fhrt abwrts
BOOL eineTuer_offen:1; // Eine Tr geffnet
BOOL Tueren_geschl:1; // Alle Tren geschlossen
BOOL KabNachOben:1; // Kabine nach oben EIN
BOOL KabNachUnten:1; // Kabine nach unten EIN
BOOL TuerOeffnen:1; // Tr soll geffnet werden
BOOL TuerSchliessen:1; // Tr soll geschlossen werden
// Local Function Blocks
FahrtRichtung Fahrtrichtung_09;
AntriebKab_TuerKoord KabMot_TuerStgn_10;
Tuer_Position TuerenPos_11;
Tuerstrg Tuerstrg_1_12;
Tuerstrg Tuerstrg_2_13;
Tuerstrg Tuerstrg_3_14;
HubMot KabHubMot_15;
};

class Ausf_Anford{
public:
Ausf_Anford();
~Ausf_Anford();
void Init();
void Run();
struct Ausf_AnfordData Data;
};
extern IOPLC ioplc;
#endif

