
#ifndef Erfassg_Anford_H
#define Erfassg_Anford_H

#include "EtagenAnzeige.h" //Etagenanzeige_16
#include "FahrAnforderung.h" //Etage_1_aufw_01
#include "FahrAnforderung.h" //Etage_2_aufw_02
#include "FahrAnforderung.h" //Etage_2_abw_03
#include "FahrAnforderung.h" //Etage_3_abw_04
#include "FahrAnforderung.h" //Kab_Nach_1_05
#include "FahrAnforderung.h" //Kab_Nach_2_06
#include "FahrAnforderung.h" //Kab_Nach_3_07
#include "Anf_Koord_3Et.h" //Anf_Koord_3Et_08
#include "iec1131/iec1131_std_types.h"
#include "iec1131/iec1131_std_fb.h"
#include "ioplc/ioplc.h"


struct Erfassg_AnfordData {
// Local
BOOL Et1_aufw:1; // Ab Etage 1 aufwrts
BOOL Et2_aufw:1; // Ab Etage 2 aufwrts
BOOL Et2_abw:1; // Ab Etage 2 abwrts
BOOL Et3_abw:1; // Ab Etage 3 abwrts
BOOL Kab_Nach1:1; // Kabine nach Etage 1
BOOL Kab_Nach2:1; // Kabine nach Etage 2
BOOL Kab_Nach3:1; // Kabine nach Etage 3
// Local Function Blocks
EtagenAnzeige Etagenanzeige_16;
FahrAnforderung Etage_1_aufw_01;
FahrAnforderung Etage_2_aufw_02;
FahrAnforderung Etage_2_abw_03;
FahrAnforderung Etage_3_abw_04;
FahrAnforderung Kab_Nach_1_05;
FahrAnforderung Kab_Nach_2_06;
FahrAnforderung Kab_Nach_3_07;
Anf_Koord_3Et Anf_Koord_3Et_08;
};

class Erfassg_Anford{
public:
Erfassg_Anford();
~Erfassg_Anford();
void Init();
void Run();
struct Erfassg_AnfordData Data;
};
extern IOPLC ioplc;
#endif

