
#include "Ausf_Anford.h"

// Constants
void Ausf_Anford_cold_start(struct Ausf_AnfordData *Data){
Data->Kab_FahrtAufw = false;
Data->Kab_FahrtAbw = false;
Data->eineTuer_offen = false;
Data->Tueren_geschl = false;
Data->KabNachOben = false;
Data->KabNachUnten = false;
Data->TuerOeffnen = false;
Data->TuerSchliessen = false;
ioplc_data.I.X[0].Bit2 = false;
ioplc_data.I.X[2].Bit7 = false;
ioplc_data.I.X[2].Bit6 = false;
ioplc_data.I.X[2].Bit5 = false;
ioplc_data.I.X[2].Bit4 = false;
ioplc_data.I.X[2].Bit3 = false;
ioplc_data.I.X[2].Bit2 = false;
ioplc_data.I.X[0].Bit4 = false;
ioplc_data.I.X[1].Bit2 = false;
ioplc_data.I.X[1].Bit6 = false;
ioplc_data.I.X[1].Bit0 = false;
ioplc_data.I.X[1].Bit7 = false;
ioplc_data.I.X[0].Bit6 = false;
ioplc_data.I.X[0].Bit7 = false;
ioplc_data.I.X[0].Bit3 = false;
ioplc_data.I.X[0].Bit5 = false;
ioplc_data.I.X[0].Bit1 = false;
ioplc_data.Q.X[7].Bit0 = false;
ioplc_data.Q.X[7].Bit1 = false;
ioplc_data.Q.X[4].Bit5 = false;
ioplc_data.Q.X[4].Bit4 = false;
ioplc_data.Q.X[4].Bit7 = false;
ioplc_data.Q.X[4].Bit6 = false;
ioplc_data.Q.X[5].Bit1 = false;
ioplc_data.Q.X[5].Bit0 = false;
ioplc_data.Q.X[4].Bit2 = false;
ioplc_data.Q.X[4].Bit3 = false;
ioplc_data.Q.X[4].Bit0 = false;
ioplc_data.Q.X[4].Bit1 = false;
}

void Ausf_Anford(struct Ausf_AnfordData *Data){


Data->Fahrtrichtung_09.SignA = ioplc_data.I.X[0].Bit6;
Data->Fahrtrichtung_09.SignB = ioplc_data.I.X[0].Bit7;

FahrtRichtung(&Data->Fahrtrichtung_09);

Data->Kab_FahrtAufw = Data->Fahrtrichtung_09.mul;
Data->Kab_FahrtAbw = Data->Fahrtrichtung_09.edul;

Data->KabMot_TuerStgn_10.Lift_AUFW_ein = Data->Siemens_Aufzug.Kab_aufw_fahren;
Data->KabMot_TuerStgn_10.Lift_ABW_ein = Data->Siemens_Aufzug.Kab_abw_fahren;
Data->KabMot_TuerStgn_10.Tuer_istauf = Data->eineTuer_offen;
Data->KabMot_TuerStgn_10.Tueren_sindzu = Data->Tueren_geschl;
Data->KabMot_TuerStgn_10.Nothalt_OEFFNER = ioplc_data.I.X[0].Bit0;
Data->KabMot_TuerStgn_10.KabFahrt_aufw = Data->Kab_FahrtAufw;
Data->KabMot_TuerStgn_10.KabFahrt_abw = Data->Kab_FahrtAbw;
Data->KabMot_TuerStgn_10.Heb_Hand = ioplc_data.I.X[0].Bit2;
Data->KabMot_TuerStgn_10.Senk_Hand = ioplc_data.I.X[0].Bit3;
Data->KabMot_TuerStgn_10.Autom = ioplc_data.I.X[0].Bit1;

AntriebKab_TuerKoord(&Data->KabMot_TuerStgn_10);

Data->KabNachOben = Data->KabMot_TuerStgn_10.KabNachOben;
Data->KabNachUnten = Data->KabMot_TuerStgn_10.KabNachUnten;
Data->TuerOeffnen = Data->KabMot_TuerStgn_10.TuerOeffnen;
Data->TuerSchliessen = Data->KabMot_TuerStgn_10.TuerSchliessen;
ioplc_data.Q.X[7].Bit0 = Data->KabMot_TuerStgn_10.KabNICHTaufw;
ioplc_data.Q.X[7].Bit1 = Data->KabMot_TuerStgn_10.KabNICHTabw;

Data->TuerenPos_11.Tuer_1_geschl = ioplc_data.I.X[2].Bit6;
Data->TuerenPos_11.Tuer_2_geschl = ioplc_data.I.X[2].Bit4;
Data->TuerenPos_11.Tuer_3_geschl = ioplc_data.I.X[2].Bit2;
Data->TuerenPos_11.Tuer_1_geoeffn = ioplc_data.I.X[2].Bit7;
Data->TuerenPos_11.Tuer_2_geoeffn = ioplc_data.I.X[2].Bit5;
Data->TuerenPos_11.Tuer_3_geoeffn = ioplc_data.I.X[2].Bit3;

Tuer_Position(&Data->TuerenPos_11);

Data->Tueren_geschl = Data->TuerenPos_11.Tueren_Geschl;
Data->eineTuer_offen = Data->TuerenPos_11.eineTuer_offen;

Data->Tuerstrg_1_12.ZielErr = ioplc_data.I.X[1].Bit1;
Data->Tuerstrg_1_12.SollTuerOeff = Data->TuerOeffnen;
Data->Tuerstrg_1_12.SollTuerSchl = Data->TuerSchliessen;
Data->Tuerstrg_1_12.TuerGeoeffn = ioplc_data.I.X[2].Bit7;
Data->Tuerstrg_1_12.TuerGeschl = ioplc_data.I.X[2].Bit6;
Data->Tuerstrg_1_12.Automat = ioplc_data.I.X[0].Bit1;
Data->Tuerstrg_1_12.TuerOeffVHd = Data->TuerOeffnen;
Data->Tuerstrg_1_12.TuerSchlVHd = ioplc_data.I.X[0].Bit5;

Tuerstrg(&Data->Tuerstrg_1_12);

ioplc_data.Q.X[4].Bit4 = Data->Tuerstrg_1_12.TuerOeff_EIN;
ioplc_data.Q.X[4].Bit5 = Data->Tuerstrg_1_12.TuerSchli_EIN;

Data->Tuerstrg_2_13.ZielErr = ioplc_data.I.X[1].Bit3;
Data->Tuerstrg_2_13.SollTuerOeff = Data->TuerOeffnen;
Data->Tuerstrg_2_13.SollTuerSchl = Data->TuerSchliessen;
Data->Tuerstrg_2_13.TuerGeoeffn = ioplc_data.I.X[2].Bit5;
Data->Tuerstrg_2_13.TuerGeschl = ioplc_data.I.X[2].Bit4;
Data->Tuerstrg_2_13.Automat = ioplc_data.I.X[0].Bit1;
Data->Tuerstrg_2_13.TuerOeffVHd = Data->TuerOeffnen;
Data->Tuerstrg_2_13.TuerSchlVHd = ioplc_data.I.X[0].Bit5;

Tuerstrg(&Data->Tuerstrg_2_13);

ioplc_data.Q.X[4].Bit6 = Data->Tuerstrg_2_13.TuerOeff_EIN;
ioplc_data.Q.X[4].Bit7 = Data->Tuerstrg_2_13.TuerSchli_EIN;

Data->Tuerstrg_3_14.ZielErr = ioplc_data.I.X[1].Bit5;
Data->Tuerstrg_3_14.SollTuerOeff = Data->TuerOeffnen;
Data->Tuerstrg_3_14.SollTuerSchl = Data->TuerSchliessen;
Data->Tuerstrg_3_14.TuerGeoeffn = ioplc_data.I.X[2].Bit3;
Data->Tuerstrg_3_14.TuerGeschl = ioplc_data.I.X[2].Bit2;
Data->Tuerstrg_3_14.Automat = ioplc_data.I.X[0].Bit1;
Data->Tuerstrg_3_14.TuerOeffVHd = ioplc_data.I.X[0].Bit4;
Data->Tuerstrg_3_14.TuerSchlVHd = ioplc_data.I.X[0].Bit5;

Tuerstrg(&Data->Tuerstrg_3_14);

ioplc_data.Q.X[5].Bit0 = Data->Tuerstrg_3_14.TuerOeff_EIN;
ioplc_data.Q.X[5].Bit1 = Data->Tuerstrg_3_14.TuerSchli_EIN;

Data->KabHubMot_15.KabMotNachOben = Data->KabNachOben;
Data->KabHubMot_15.KabMotNachUnten = Data->KabNachUnten;
Data->KabHubMot_15.Et1langs = ioplc_data.I.X[1].Bit2;
Data->KabHubMot_15.Et2langs = ioplc_data.I.X[1].Bit4;
Data->KabHubMot_15.Et3langs = ioplc_data.I.X[1].Bit6;
Data->KabHubMot_15.Autom = ioplc_data.I.X[0].Bit1;
Data->KabHubMot_15.SenkHand = ioplc_data.I.X[0].Bit3;
Data->KabHubMot_15.HebHand = ioplc_data.I.X[0].Bit2;
Data->KabHubMot_15.KabNichtZuTief = ioplc_data.I.X[1].Bit0;
Data->KabHubMot_15.KabNichtZuHoch = ioplc_data.I.X[1].Bit7;
Data->KabHubMot_15.KabiNach_2_auf = Data->Siemens_Aufzug.KabiNach_1_abw;
Data->KabHubMot_15.KabiNach_3_auf = Data->Siemens_Aufzug.KabiNach_3_auf;
Data->KabHubMot_15.KabiNach_2_abw = Data->Siemens_Aufzug.KabiNach_2_abw;
Data->KabHubMot_15.KabiNach_1_abw = Data->Siemens_Aufzug.KabiNach_1_abw;

HubMot(&Data->KabHubMot_15);

ioplc_data.Q.X[4].Bit2 = Data->KabHubMot_15.KabMotAUFW;
ioplc_data.Q.X[4].Bit0 = Data->KabHubMot_15.KabMotLangsAUFW;
ioplc_data.Q.X[4].Bit3 = Data->KabHubMot_15.KabMotABW;
ioplc_data.Q.X[4].Bit1 = Data->KabHubMot_15.KabMotLangsABW;

}


