
#include "FahrAnforderung.h"

// Constants
const INT Const_st_Efz_001_000 = 0; // Zustand 001 als Efz Operation 000
const INT Const_st_Efz_002_001 = 1; // Zustand 002 als Efz Operation 001
void FahrAnforderung_cold_start(struct FahrAnforderungData *Data){
Data->KabAnSollPos = false;
Data->RufEtage = false;
Data->AnfVon_InRichtg = false;
Data->Sign_Lamp_ein = false;
Data->FirstRun = false;
Data->StatusEnum = 0;
Data->OperationEnum = 0;
Data->FirstRun = true;
Data->OldOperationINT = 0;
Data->OperationINT = 0;
}

void FahrAnforderung(struct FahrAnforderungData *Data){

	Data->OldOperationINT=Data->OperationINT;
	if (Data->FirstRun){	// Erstlaufkennung
		Data->FirstRun = false;
		Data->StatusEnum = st_Efz_001_000_FahrAnforderung;
		Data->OperationEnum = op_none_FahrAnforderung;
	} else {	// Erstlaufkennung => Nur Ausgabe der Initialoperation
			// The state machine
		Data->OperationEnum = op_none_FahrAnforderung;
		switch (Data->StatusEnum) {
			case st_Efz_001_000_FahrAnforderung :	// Zustand 001 als Efz Operation 000
				
				if (	    Data->RufEtage
				){
					Data->StatusEnum = st_Efz_002_001_FahrAnforderung;
					Data->OperationEnum = op_none_FahrAnforderung;
				}
			break;
			case st_Efz_002_001_FahrAnforderung :	// Zustand 002 als Efz Operation 001
				
				if (	    Data->KabAnSollPos
					&& !Data->RufEtage
				){
					Data->StatusEnum = st_Efz_001_000_FahrAnforderung;
					Data->OperationEnum = op_none_FahrAnforderung;
				}
			break;
		}	// End switch Data->StatusEnum
	}	// End First Run
		// The output list
	Data->Sign_Lamp_ein = (
		    (Data->StatusEnum == st_Efz_002_001_FahrAnforderung)
	);
	Data->AnfVon_InRichtg = 	// KOP nach Anforderungs-Koordinierung
		(
		    (Data->StatusEnum == st_Efz_002_001_FahrAnforderung)
	);
		// Post Statement List
	if (Data->StatusEnum==st_Efz_001_000_FahrAnforderung){
		Data->OperationINT=Const_st_Efz_001_000;
	}
	if (Data->StatusEnum==st_Efz_002_001_FahrAnforderung){
		Data->OperationINT=Const_st_Efz_002_001;
	}
	

}


