
#include "Siemens_Aufzug.h"


Siemens_Aufzug::Siemens_Aufzug(){
Data.Kab_aufw_fahren = false;
Data.Kab_abw_fahren = false;
Data.KabiNach_1_abw = false;
Data.KabiNach_2_abw = false;
Data.KabiNach_2_auf = false;
Data.KabiNach_3_auf = false;
ioplc.Data.I.X[1].Bit1 = false;
ioplc.Data.I.X[1].Bit3 = false;
ioplc.Data.I.X[1].Bit5 = false;
ioplc.Data.I.X[1].Bit4 = false;
ioplc.Data.I.X[0].Bit0 = false;
Init();
};

Siemens_Aufzug::~Siemens_Aufzug(){
};

void Siemens_Aufzug::Init(){
Data.Erfassg_Anford_Instance.Init();
Data.Ausf_Anford_Instance.Init();
};

void Siemens_Aufzug::Run(){

//IO - access functions must be defined by programmer -> see ioplc class
ioplc.ReadIO();//reading process IO


Data.Erfassg_Anford_Instance.Run();

Data.Kab_aufw_fahren = Data.Erfassg_Anford_Instance.Data.Anf_Koord_3Et_08.Data.Kab_aufw_fahren;
Data.Kab_abw_fahren = Data.Erfassg_Anford_Instance.Data.Anf_Koord_3Et_08.Data.Kab_abw_fahren;
Data.KabiNach_1_abw = Data.Erfassg_Anford_Instance.Data.Anf_Koord_3Et_08.Data.KabiNach_1_abw;
Data.KabiNach_2_abw = Data.Erfassg_Anford_Instance.Data.Anf_Koord_3Et_08.Data.KabiNach_2_abw;
Data.KabiNach_2_auf = Data.Erfassg_Anford_Instance.Data.Anf_Koord_3Et_08.Data.KabiNach_2_auf;
Data.KabiNach_3_auf = Data.Erfassg_Anford_Instance.Data.Anf_Koord_3Et_08.Data.KabiNach_3_auf;

Data.Ausf_Anford_Instance.Data.KabMot_TuerStgn_10.Data.Lift_AUFW_ein = Data.Kab_aufw_fahren;
Data.Ausf_Anford_Instance.Data.KabMot_TuerStgn_10.Data.Lift_ABW_ein = Data.Kab_abw_fahren;
Data.Ausf_Anford_Instance.Data.KabHubMot_15.Data.KabiNach_2_auf = Data.KabiNach_1_abw;
Data.Ausf_Anford_Instance.Data.KabHubMot_15.Data.KabiNach_3_auf = Data.KabiNach_3_auf;
Data.Ausf_Anford_Instance.Data.KabHubMot_15.Data.KabiNach_2_abw = Data.KabiNach_2_abw;
Data.Ausf_Anford_Instance.Data.KabHubMot_15.Data.KabiNach_1_abw = Data.KabiNach_1_abw;

Data.Ausf_Anford_Instance.Run();


ioplc.WriteIO();//writing process IO
}


