
#ifndef AZP_H
#define AZP_H

#include "FahrAnforderung.h" //Etage_1_aufw_01
#include "FahrAnforderung.h" //Etage_2_aufw_02
#include "FahrAnforderung.h" //Etage_2_abw_03
#include "FahrAnforderung.h" //Etage_3_abw_04
#include "FahrAnforderung.h" //Kab_Nach_1_05
#include "FahrAnforderung.h" //Kab_Nach_2_06
#include "FahrAnforderung.h" //Kab_Nach_3_07
#include "Anf_Koord_3Et.h" //Anf_Koord_3Et_08
#include "FahrtRichtung.h" //Fahrtrichtung_09
#include "AntriebKab_TuerKoord.h" //KabMot_TuerStgn_10
#include "Tuer_Position.h" //TuerenPos_11
#include "Tuerstrg.h" //Tuerstrg_1_12
#include "Tuerstrg.h" //Tuerstrg_2_13
#include "Tuerstrg.h" //Tuerstrg_3_14
#include "HubMot.h" //KabHubMot_15
#include "EtagenAnzeige.h" //EtagenAnz_16
#include "iec1131/iec1131_std_types.h"
#include "iec1131/iec1131_std_fb.h"
#include "ioplc/ioplc.h"


struct AZPData {
// Local
BOOL Et2_aufw:1; // Ab Etage 2 aufwrts
BOOL Et2_abw:1; // Ab Etage 2 abwrts
BOOL Et3_abw:1; // Ab Etage 3 abwrts
BOOL Kab_Nach1:1; // Kabine nach Etage 1
BOOL Kab_Nach2:1; // Kabine nach Etage 2
BOOL Kab_Nach3:1; // Kabine nach Etage 3
BOOL Kab_aufw_fahren:1; // Kabine aufwrts
BOOL Kab_abw_fahren:1; // Kabine abwrts
BOOL Kab_faehrtAufw:1; // Kabine fhrt aufwrts
BOOL Kab_faehrtAbw:1; // Kabine fhrt abwrts
BOOL eineTuer_offen:1; // Eine Tr geffnet
BOOL Tueren_geschl:1; // Alle Tren geschlossen
BOOL KabNachOben:1; // Kabine nach oben EIN
BOOL KabNachUnten:1; // Kabine nach unten EIN
BOOL TuerOeffnen:1; // Tr soll geffnet werden
BOOL TuerSchliessen:1; // Tr soll geschlossen werden
BOOL Et1_aufw:1; // Ab Etage 1 aufwrts
BOOL KabiNach_1_abw:1; // global Variable
BOOL KabiNach_2_abw:1; // global Variable
BOOL KabiNach_2_auf:1; // global Variable
BOOL KabiNach_3_auf:1; // global Variable
// Local Function Blocks
FahrAnforderung Etage_1_aufw_01;
FahrAnforderung Etage_2_aufw_02;
FahrAnforderung Etage_2_abw_03;
FahrAnforderung Etage_3_abw_04;
FahrAnforderung Kab_Nach_1_05;
FahrAnforderung Kab_Nach_2_06;
FahrAnforderung Kab_Nach_3_07;
Anf_Koord_3Et Anf_Koord_3Et_08;
FahrtRichtung Fahrtrichtung_09;
AntriebKab_TuerKoord KabMot_TuerStgn_10;
Tuer_Position TuerenPos_11;
Tuerstrg Tuerstrg_1_12;
Tuerstrg Tuerstrg_2_13;
Tuerstrg Tuerstrg_3_14;
HubMot KabHubMot_15;
EtagenAnzeige EtagenAnz_16;
};

class AZP{
public:
AZP();
~AZP();
void Init();
void Run();
struct AZPData Data;
};
extern IOPLC ioplc;
#endif

