
#include "Ausf_Anford.h"


Ausf_Anford::Ausf_Anford(){
Data.Kab_FahrtAufw = false;
Data.Kab_FahrtAbw = false;
Data.eineTuer_offen = false;
Data.Tueren_geschl = false;
Data.KabNachOben = false;
Data.KabNachUnten = false;
Data.TuerOeffnen = false;
Data.TuerSchliessen = false;
ioplc.Data.I.X[0].Bit2 = false;
ioplc.Data.I.X[2].Bit7 = false;
ioplc.Data.I.X[2].Bit6 = false;
ioplc.Data.I.X[2].Bit5 = false;
ioplc.Data.I.X[2].Bit4 = false;
ioplc.Data.I.X[2].Bit3 = false;
ioplc.Data.I.X[2].Bit2 = false;
ioplc.Data.I.X[0].Bit4 = false;
ioplc.Data.I.X[1].Bit2 = false;
ioplc.Data.I.X[1].Bit6 = false;
ioplc.Data.I.X[1].Bit0 = false;
ioplc.Data.I.X[1].Bit7 = false;
ioplc.Data.I.X[0].Bit6 = false;
ioplc.Data.I.X[0].Bit7 = false;
ioplc.Data.I.X[0].Bit3 = false;
ioplc.Data.I.X[0].Bit5 = false;
ioplc.Data.I.X[0].Bit1 = false;
ioplc.Data.Q.X[7].Bit0 = false;
ioplc.Data.Q.X[7].Bit1 = false;
ioplc.Data.Q.X[4].Bit5 = false;
ioplc.Data.Q.X[4].Bit4 = false;
ioplc.Data.Q.X[4].Bit7 = false;
ioplc.Data.Q.X[4].Bit6 = false;
ioplc.Data.Q.X[5].Bit1 = false;
ioplc.Data.Q.X[5].Bit0 = false;
ioplc.Data.Q.X[4].Bit2 = false;
ioplc.Data.Q.X[4].Bit3 = false;
ioplc.Data.Q.X[4].Bit0 = false;
ioplc.Data.Q.X[4].Bit1 = false;
Init();
};

Ausf_Anford::~Ausf_Anford(){
};

void Ausf_Anford::Init(){
Data.Fahrtrichtung_09.Init();
Data.KabMot_TuerStgn_10.Init();
Data.TuerenPos_11.Init();
Data.Tuerstrg_1_12.Init();
Data.Tuerstrg_2_13.Init();
Data.Tuerstrg_3_14.Init();
Data.KabHubMot_15.Init();
};

void Ausf_Anford::Run(){


Data.Fahrtrichtung_09.Data.SignA = ioplc.Data.I.X[0].Bit6;
Data.Fahrtrichtung_09.Data.SignB = ioplc.Data.I.X[0].Bit7;

Data.Fahrtrichtung_09.Run();

Data.Kab_FahrtAufw = Data.Fahrtrichtung_09.Data.mul;
Data.Kab_FahrtAbw = Data.Fahrtrichtung_09.Data.edul;

Data.KabMot_TuerStgn_10.Data.Tuer_istauf = Data.eineTuer_offen;
Data.KabMot_TuerStgn_10.Data.Tueren_sindzu = Data.Tueren_geschl;
Data.KabMot_TuerStgn_10.Data.Nothalt_OEFFNER = ioplc.Data.I.X[0].Bit0;
Data.KabMot_TuerStgn_10.Data.KabFahrt_aufw = Data.Kab_FahrtAufw;
Data.KabMot_TuerStgn_10.Data.KabFahrt_abw = Data.Kab_FahrtAbw;
Data.KabMot_TuerStgn_10.Data.Heb_Hand = ioplc.Data.I.X[0].Bit2;
Data.KabMot_TuerStgn_10.Data.Senk_Hand = ioplc.Data.I.X[0].Bit3;
Data.KabMot_TuerStgn_10.Data.Autom = ioplc.Data.I.X[0].Bit1;

Data.KabMot_TuerStgn_10.Run();

Data.KabNachOben = Data.KabMot_TuerStgn_10.Data.KabNachOben;
Data.KabNachUnten = Data.KabMot_TuerStgn_10.Data.KabNachUnten;
Data.TuerOeffnen = Data.KabMot_TuerStgn_10.Data.TuerOeffnen;
Data.TuerSchliessen = Data.KabMot_TuerStgn_10.Data.TuerSchliessen;
ioplc.Data.Q.X[7].Bit0 = Data.KabMot_TuerStgn_10.Data.KabNICHTaufw;
ioplc.Data.Q.X[7].Bit1 = Data.KabMot_TuerStgn_10.Data.KabNICHTabw;

Data.TuerenPos_11.Data.Tuer_1_geschl = ioplc.Data.I.X[2].Bit6;
Data.TuerenPos_11.Data.Tuer_2_geschl = ioplc.Data.I.X[2].Bit4;
Data.TuerenPos_11.Data.Tuer_3_geschl = ioplc.Data.I.X[2].Bit2;
Data.TuerenPos_11.Data.Tuer_1_geoeffn = ioplc.Data.I.X[2].Bit7;
Data.TuerenPos_11.Data.Tuer_2_geoeffn = ioplc.Data.I.X[2].Bit5;
Data.TuerenPos_11.Data.Tuer_3_geoeffn = ioplc.Data.I.X[2].Bit3;

Data.TuerenPos_11.Run();

Data.Tueren_geschl = Data.TuerenPos_11.Data.Tueren_Geschl;
Data.eineTuer_offen = Data.TuerenPos_11.Data.eineTuer_offen;

Data.Tuerstrg_1_12.Data.ZielErr = ioplc.Data.I.X[1].Bit1;
Data.Tuerstrg_1_12.Data.SollTuerOeff = Data.TuerOeffnen;
Data.Tuerstrg_1_12.Data.SollTuerSchl = Data.TuerSchliessen;
Data.Tuerstrg_1_12.Data.TuerGeoeffn = ioplc.Data.I.X[2].Bit7;
Data.Tuerstrg_1_12.Data.TuerGeschl = ioplc.Data.I.X[2].Bit6;
Data.Tuerstrg_1_12.Data.Automat = ioplc.Data.I.X[0].Bit1;
Data.Tuerstrg_1_12.Data.TuerOeffVHd = Data.TuerOeffnen;
Data.Tuerstrg_1_12.Data.TuerSchlVHd = ioplc.Data.I.X[0].Bit5;

Data.Tuerstrg_1_12.Run();

ioplc.Data.Q.X[4].Bit4 = Data.Tuerstrg_1_12.Data.TuerOeff_EIN;
ioplc.Data.Q.X[4].Bit5 = Data.Tuerstrg_1_12.Data.TuerSchli_EIN;

Data.Tuerstrg_2_13.Data.ZielErr = ioplc.Data.I.X[1].Bit3;
Data.Tuerstrg_2_13.Data.SollTuerOeff = Data.TuerOeffnen;
Data.Tuerstrg_2_13.Data.SollTuerSchl = Data.TuerSchliessen;
Data.Tuerstrg_2_13.Data.TuerGeoeffn = ioplc.Data.I.X[2].Bit5;
Data.Tuerstrg_2_13.Data.TuerGeschl = ioplc.Data.I.X[2].Bit4;
Data.Tuerstrg_2_13.Data.Automat = ioplc.Data.I.X[0].Bit1;
Data.Tuerstrg_2_13.Data.TuerOeffVHd = Data.TuerOeffnen;
Data.Tuerstrg_2_13.Data.TuerSchlVHd = ioplc.Data.I.X[0].Bit5;

Data.Tuerstrg_2_13.Run();

ioplc.Data.Q.X[4].Bit6 = Data.Tuerstrg_2_13.Data.TuerOeff_EIN;
ioplc.Data.Q.X[4].Bit7 = Data.Tuerstrg_2_13.Data.TuerSchli_EIN;

Data.Tuerstrg_3_14.Data.ZielErr = ioplc.Data.I.X[1].Bit5;
Data.Tuerstrg_3_14.Data.SollTuerOeff = Data.TuerOeffnen;
Data.Tuerstrg_3_14.Data.SollTuerSchl = Data.TuerSchliessen;
Data.Tuerstrg_3_14.Data.TuerGeoeffn = ioplc.Data.I.X[2].Bit3;
Data.Tuerstrg_3_14.Data.TuerGeschl = ioplc.Data.I.X[2].Bit2;
Data.Tuerstrg_3_14.Data.Automat = ioplc.Data.I.X[0].Bit1;
Data.Tuerstrg_3_14.Data.TuerOeffVHd = ioplc.Data.I.X[0].Bit4;
Data.Tuerstrg_3_14.Data.TuerSchlVHd = ioplc.Data.I.X[0].Bit5;

Data.Tuerstrg_3_14.Run();

ioplc.Data.Q.X[5].Bit0 = Data.Tuerstrg_3_14.Data.TuerOeff_EIN;
ioplc.Data.Q.X[5].Bit1 = Data.Tuerstrg_3_14.Data.TuerSchli_EIN;

Data.KabHubMot_15.Data.KabMotNachOben = Data.KabNachOben;
Data.KabHubMot_15.Data.KabMotNachUnten = Data.KabNachUnten;
Data.KabHubMot_15.Data.Et1langs = ioplc.Data.I.X[1].Bit2;
Data.KabHubMot_15.Data.Et2langs = ioplc.Data.I.X[1].Bit4;
Data.KabHubMot_15.Data.Et3langs = ioplc.Data.I.X[1].Bit6;
Data.KabHubMot_15.Data.Autom = ioplc.Data.I.X[0].Bit1;
Data.KabHubMot_15.Data.SenkHand = ioplc.Data.I.X[0].Bit3;
Data.KabHubMot_15.Data.HebHand = ioplc.Data.I.X[0].Bit2;
Data.KabHubMot_15.Data.KabNichtZuTief = ioplc.Data.I.X[1].Bit0;
Data.KabHubMot_15.Data.KabNichtZuHoch = ioplc.Data.I.X[1].Bit7;

Data.KabHubMot_15.Run();

ioplc.Data.Q.X[4].Bit2 = Data.KabHubMot_15.Data.KabMotAUFW;
ioplc.Data.Q.X[4].Bit0 = Data.KabHubMot_15.Data.KabMotLangsAUFW;
ioplc.Data.Q.X[4].Bit3 = Data.KabHubMot_15.Data.KabMotABW;
ioplc.Data.Q.X[4].Bit1 = Data.KabHubMot_15.Data.KabMotLangsABW;

}


