
#ifndef Siemens_Aufzug_H
#define Siemens_Aufzug_H

#include "Erfassg_Anford.h" //Erfassg_Anford_Instance
#include "Ausf_Anford.h" //Ausf_Anford_Instance
#include "iec1131/iec1131_std_types.h"
#include "iec1131/iec1131_std_fb.h"
#include "ioplc/ioplc.h"


struct Siemens_AufzugData {
// Local
BOOL Kab_aufw_fahren:1; // Kabine aufwrts
BOOL Kab_abw_fahren:1; // Kabine abwrts
BOOL KabiNach_1_abw:1; // Kabine nach 1 abwrts
BOOL KabiNach_2_abw:1; // Kabine nach 2 abwrts
BOOL KabiNach_2_auf:1; // Kabine nach 2 aufwrts
BOOL KabiNach_3_auf:1; // Kabine nach 3 aufwrts
// Local Function Blocks
Erfassg_Anford Erfassg_Anford_Instance;
Ausf_Anford Ausf_Anford_Instance;
};

class Siemens_Aufzug{
public:
Siemens_Aufzug();
~Siemens_Aufzug();
void Init();
void Run();
struct Siemens_AufzugData Data;
};
extern IOPLC ioplc;
#endif

