
#include "Tuer_Position.h"

// Constants
const INT Const_op_1_000 = 0; // Operation 000 in Mfz 1
const INT Const_op_1_001 = 1; // Operation 001 in Mfz 1
const INT Const_op_1_002 = 2; // Operation 002 in Mfz 1
void Tuer_Position_cold_start(struct Tuer_PositionData *Data){
Data->Tuer_1_geoeffn = false;
Data->Tuer_1_geschl = false;
Data->Tuer_2_geoeffn = false;
Data->Tuer_2_geschl = false;
Data->Tuer_3_geoeffn = false;
Data->Tuer_3_geschl = false;
Data->Tueren_Geschl = false;
Data->eineTuer_offen = false;
Data->StatusEnum = 0;
Data->OperationEnum = 0;
Data->FirstRun = true;
Data->AVOR = false;
Data->OldOperationINT = 0;
Data->OperationINT = 0;
}

void Tuer_Position(struct Tuer_PositionData *Data){

	Data->OldOperationINT=Data->OperationINT;
	if (Data->FirstRun){	// Erstlaufkennung
		Data->FirstRun = false;
		Data->StatusEnum = st_Mfz_001_Tuer_Position;
		Data->OperationEnum = op_1_000_Tuer_Position;
	} else {	// Erstlaufkennung => Nur Ausgabe der Initialoperation
		if (	   !Data->Tuer_3_geschl
			&& (	    Data->Tuer_1_geschl
				&& !Data->Tuer_3_geoeffn
				|| !Data->Tuer_2_geschl
				|| !Data->Tuer_1_geschl
			)
			|| (	   !Data->Tuer_2_geschl
				&& (	   !Data->Tuer_2_geoeffn
					|| !Data->Tuer_1_geschl
				)
			)
			|| (	   !Data->Tuer_1_geschl
				&& !Data->Tuer_1_geoeffn
			)
		){
			Data->OperationEnum = op_1_000_Tuer_Position;
		}
		if (	    Data->Tuer_1_geschl
			&&  Data->Tuer_2_geschl
			&&  Data->Tuer_3_geschl
		){
			Data->OperationEnum = op_1_001_Tuer_Position;
		}
		if (	    Data->Tuer_1_geschl
			&& (	    Data->Tuer_2_geschl
				&& !Data->Tuer_3_geschl
				&&  Data->Tuer_3_geoeffn
				|| (	   !Data->Tuer_2_geschl
					&&  Data->Tuer_3_geschl
					&&  Data->Tuer_2_geoeffn
				)
			)
			|| (	   !Data->Tuer_1_geschl
				&&  Data->Tuer_2_geschl
				&&  Data->Tuer_3_geschl
				&&  Data->Tuer_1_geoeffn
			)
		){
			Data->OperationEnum = op_1_002_Tuer_Position;
		}
	}	// End First Run
		// The output list
	Data->Tueren_Geschl = (
		    (Data->OperationEnum == op_1_001_Tuer_Position)
	);
	Data->eineTuer_offen = (
		    (Data->OperationEnum == op_1_002_Tuer_Position)
	);
		// Post Statement List
	if (Data->OperationEnum==op_1_000_Tuer_Position){
		Data->OperationINT=Const_op_1_000;
	}
	if (Data->OperationEnum==op_1_001_Tuer_Position){
		Data->OperationINT=Const_op_1_001;
	}
	if (Data->OperationEnum==op_1_002_Tuer_Position){
		Data->OperationINT=Const_op_1_002;
	}
	

}


