FUNCTION_BLOCK  Schalten_Mit_Flanken
{ DATE & TIME :  06.11.2006 21:08:02 }
{ VERSION : 1.4 }
VAR_OUTPUT
Lampe_ein : BOOL; (*Lampe einschalten*)
END_VAR
VAR
Tast_Down : BOOL; (*Primary Variable Raising Edge*)
SchaltBed : BOOL; (*Schaltbedingung erfllt*)
Tast_Down_R : R_TRIG; (*trigger FB of  "Tast_Down"*)
FirstRun : BOOL := TRUE; (*Erstlaufkennung*)
st_Efz_001_000 : BOOL; (*Zustand 001 als Efz Operation 000*)
st_Efz_002_001 : BOOL; (*Zustand 002 als Efz Operation 001*)
STATE : INT := 0; (*Zustands-Nummer*)
END_VAR
		(* The pre-state-machine list *)
	Tast_Down_R(CLK := Tast_Down);
	SchaltBed := Tast_Down_R.Q;
		(* Set the initial state *)
	IF FirstRun THEN STATE := 001;	(* Initial situation *)
			st_Efz_001_000 := TRUE;
			st_Efz_002_001 := FALSE;
	END_IF
		(* The state machine *)
	IF NOT FirstRun THEN 
	CASE STATE OF
	001: IF SchaltBed
		THEN STATE := 002;st_Efz_002_001 := TRUE;
	END_IF
		(* Bit-Code change *)
	IF st_Efz_002_001
	 THEN st_Efz_001_000 := FALSE;
	END_IF
	002: IF SchaltBed
		THEN STATE := 001;st_Efz_001_000 := TRUE;
	END_IF
		(* Bit-Code change *)
	IF st_Efz_001_000
	 THEN st_Efz_002_001 := FALSE;
	END_IF
	END_CASE
	ELSE  FirstRun := False;
	END_IF
		(* The output list *)
	Lampe_ein := st_Efz_002_001;

END_FUNCTION_BLOCK

